Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007288OCamldocumentationpublic2016-07-12 12:482016-09-27 16:21
Reportertormen 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.04.0 +dev / +beta1 / +beta2 
Summary0007288: flatten : Avoid confusion
DescriptionAs Ocaml tends to be MINMAL in terms of functions in the std lib, I was a bit confused that there is List.flatten and List.concat.

This plus the fact that there was not ONLY written "Same as concat" for flatten made me wonder if they are in deed really 100% identical.

To effectively prevent such confusion I propose to simply remove the
" Not tail-recursive (length of the argument + length of the longest sub-list)."
and ONLY keep the sentence "Same as concat." :)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0016332)
doligez (administrator)
2016-09-27 16:21

I've changed it to "An alias for concat." which is the terminology used elsewhere in the stdlib. (commit 5cc93005a0798f18f0da880b37a36334c79dd3fc)

- Issue History
Date Modified Username Field Change
2016-07-12 12:48 tormen New Issue
2016-09-27 16:21 doligez Note Added: 0016332
2016-09-27 16:21 doligez Status new => closed
2016-09-27 16:21 doligez Resolution open => fixed
2016-09-27 16:21 doligez Fixed in Version => 4.04.0 +dev / +beta1 / +beta2
2017-02-23 16:35 doligez Category OCaml documentation => Documentation
2017-02-23 16:44 doligez Category Documentation => documentation


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker